import { createLedClient } from "$lib";
import { fail, type Actions } from "@sveltejs/kit";

export const client = createLedClient("192.168.1.215");

export const actions: Actions = {
    async default({ request }) {
        const data = await request.formData();

        const color = data.get("color");
        if (color == null) {
            return fail(400, { error: "Color was not provided" });
        }

        // TODO: validate actual HEX

        await client.setColor(color.toString());
    },
};
